@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');


::-webkit-scrollbar {
    width: 12px
}

::-webkit-scrollbar-track {
    background: #171A1B;
}

::-webkit-scrollbar-thumb {
    background-color: #C3D74C;
    border-radius: 20px;
    border: 3px solid #171A1B; 
}


html {
    font-family: -apple-system, BlinkMacSystemFont, "Montserrat", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 16px;
    background: #191C21;
    color: #cbcbcb;
}

header {
    padding: 20px 0;
}

.uk-border-rounded {
    border-radius: 30px;
}

.uk-text-primary {
    color: #C3D74C !important;
}

.uk-h1, .uk-h2, .uk-h3, .uk-h4, .uk-h5, .uk-h6, .uk-heading-2xlarge, .uk-heading-3xlarge, .uk-heading-large, .uk-heading-medium, .uk-heading-small, .uk-heading-xlarge, h1, h2, h3, h4, h5, h6 { 
    font-family: -apple-system, BlinkMacSystemFont, "Montserrat", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    color: #f1f1f1;
}

.uk-text-lead {
    font-size: 1.5rem;
    color: #f1f1f1;
}

.btn.btn-second {
    color: #fff !important;
    font-weight: 400;
}

.btn.exbtn {
    font-weight: 600;
    font-size: 18px;
    padding: 15px 30px;
    border: 0px solid #191c21;
}

.btn.exbtn img {
    width: 30px;
    height: 30px;
}

.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 14px 30px;
    border: none;
    border-radius: 9999px;
    font-size: 18px;
    font-weight: 500;
    color: #191C21 !important;
    cursor: pointer;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.btn:hover {
  transform: translateY(-1px);
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
  text-decoration: none;
}



.btn img {
    width: 24px;
    height: 24px;
}

.uk-heading-xlarge {
      font-size: 4rem;
}


.gradient-green {
  background: linear-gradient(90deg, #62A73E 0%, #B2C448 100%);
}

.gradient-green:hover {
  background: linear-gradient(90deg, #B2C448 0%, #62A73E 100%);
}

.gradient-sd {
  background: linear-gradient(90deg, #171A1B 0%, #2E3137 100%);
}



.exchange-card {
  border-radius: 12px;
  text-align: center;
  color: #fff;
}

.exchange-title {
  font-size: 20px;
  font-weight: 700;
  margin-bottom: 12px;
}

.exchange-line {
  width: 50px;
  height: 3px;
  margin: 0 auto 20px;
  background: linear-gradient(90deg, #a8ff3d, #c7d64c);
  border-radius: 2px;
}

.exchange-text {
    font-size: 14px;
    line-height: 1.2;
    color: #cfd1d3;
}







.gradient-wrapper {
  position: relative;
  display: block; 
  border-radius: 30px;
  overflow: hidden;
  padding: 2px;
}


.gradient-wrapper::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  background: conic-gradient(
    from 0deg,
    #aaff00,
    #00ffaa,
    #E6FF48,
    #aaff00
  );
  animation: rotategr 8s linear infinite;
  filter: blur(20px);
  z-index: 0;
}


.gradient-overlay {
  position: relative;
  z-index: 1;
  border-radius: inherit;
  background: #191C21;
  padding: 30px 20px; 
}


@keyframes rotategr {
  to {
    transform: rotate(360deg);
  }
}




.plus-icon {
    display: block;
    width: 40px;
    animation: rotategr 60s linear infinite;
}

.floating-image {
    width: 80px;
    animation: floatUpDown 3s ease-in-out infinite;
}

.floating-up {
    animation: floatUpDown 3s ease-in-out infinite;
}

.floating-up-2 {
    animation: floatUpDown 4s ease-in-out infinite;
}

@keyframes floatUpDown {
    0% {
        transform: translateY(0px);
    }
    50% {
        transform: translateY(-10px);
    }
    100% {
        transform: translateY(0px);
    }
}



footer {
    background: #1C1E22;
    padding: 60px 0;
}



.tg-btn {
  display: inline-flex;
  align-items: center;
  gap: 8px;
  background: linear-gradient(90deg, #2E3137 0%, #171A1B 100%);
  border-radius: 999px;
  padding: 10px 10px;
  color: white;
  font-size: 18px;
  text-decoration: none;
  font-weight: 500;
  transition: background 0.3s ease;
}

.tg-btn img {
  width: 30px;
  height: 30px;
}

.tg-btn:hover {
  background: #23272e;
}

.subfooter a {
    color: #a4a6a5;
    font-weight: 300;
    font-size: 14px;
}




@keyframes pulse {
0% {
    -moz-box-shadow: 0 0 0 0 rgba(98,167,62,1);
    box-shadow: 0 0 0 0 rgba(98,169,45,1);
}
70% {
    -moz-box-shadow: 0 0 0 10px rgba(98,167,62,0);
    box-shadow: 0 0 0 10px rgba(98,169,62,0);
}
100% {
    -moz-box-shadow: 0 0 0 0 rgba(98,167,62,0);
    box-shadow: 0 0 0 0 rgba(98,167,62,0);
}
}
.pulse {
    box-shadow: 0 0 0 rgba(98,167,62,1);
    animation: pulse 2s infinite;
}





.uk-modal {
    background: rgba(0, 0, 0, .3);
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
}

.uk-modal-body {
    display: flow-root;
    padding: 25px 25px;
}


.uk-modal-dialog {
    background: rgb(28 30 34 / 70%);
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    border-radius: 40px;
    border: 1px solid rgb(255 255 255 / 5%);
}

.uk-modal-container .uk-modal-dialog {
    width: 900px;
}

[class*=uk-modal-close-] {
    position: absolute;
    z-index: 1010;
    top: 20px;
    right: 20px;
    padding: 15px;
    background: linear-gradient(90deg, #2E3137 0%, #171A1B 100%);
    border-radius: 50px;
}

.uk-hr, hr {
    border-top: 1.5px solid rgb(229 229 229 / 15%);
}

.gradient-text {
  background: radial-gradient(circle at 95% 5%, #78af41 0%, #ffffff 25%, #b0d253 75%);
  background-size: 200% 200%;
  animation: gradientMove 6s ease-in-out infinite;
  
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  color: transparent;
}

@keyframes gradientMove {
  0% {
    background-position: 95% 5%;
  }
  50% {
    background-position: 5% 95%;
  }
  100% {
    background-position: 95% 5%;
  }
}



.uk-offcanvas-bar a {
    color: #191C21;
}

.uk-offcanvas-close {
    position: absolute;
    z-index: 1000;
    top: 20px;
    right: 20px;
    background: #4A7D91;
    padding: 15px;
    background: linear-gradient(90deg, #2E3137 0%, #171A1B 100%);
    border-radius: 50px;
}

.uk-offcanvas-bar {
    background: rgb(28 30 34 / 70%);
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
}

.uk-offcanvas-bar .uk-nav-primary>li>a {
    color: rgba(255, 255, 255, .9);
}

header.uk-sticky.uk-sticky-fixed {
    background: rgb(28 30 34 / 70%);
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    padding: 15px 15px;
    border-radius: 40px;
}


.bg-image-1 {
    background-image: url('../img/hero-bg.png');
}

.bg-image-2 {
    background-image: url('../img/map-bg.png');
} 